<div
  id="container"
  class="layout-wrapper menu-layout-static"
  (click)="onLayoutClick()"
  [ngClass]="{
    'menu-layout-static': !isOverlay(),
    'menu-layout-overlay': isOverlay(),
    'layout-menu-overlay-active': overlayMenuActive,
    'menu-layout-horizontal': isHorizontal(),
    'menu-layout-slim': isSlim(),
    'layout-menu-static-inactive': staticMenuDesktopInactive,
    'layout-menu-static-active': staticMenuMobileActive
  }"
>
  <tt-topbar id="header" [showMenuButton]="showSidebar" [roleTypes]="user.roleTypes"></tt-topbar>

  <div class="layout-menu-container" *ngIf="showSidebar" [ngClass]="{ 'layout-menu-dark': darkMenu }" (click)="onMenuClick($event)">
    <div class="menu-scroll-content">
      <tt-menu [menuModel]="menuModel"></tt-menu>
    </div>
  </div>

  <div class="layout-main" id="body">
    <router-outlet></router-outlet>
  </div>
  <tt-footer id="footer"></tt-footer>
</div>
